#merge the following files--easy to add others; create Python list struct for use in
#program removeHtml.py
#
#english.stop
#stop_words.txt
#output as mergedStopWords.dat

import string

stopWordsDict = {}
directory = "h:/website/extensions/"
fileNames = ["english.stop", "stop_words.txt"]

def readStopWords(fileName):
	global stopWordsDict
	f = open(fileName)
	lines = f.readlines()
	f.close()
	for line in lines:
		stopWordsDict[line] = None
	return

def writeStopWords(fileName):
	global stopWordsDict
	keys = stopWordsDict.keys()
	keys.sort()
	f = open(fileName, "w")
	f.write("stopwords = {\n")
	i = 0
	for k in keys:
		if i > 0: f.write(",\n")
		i = i + 1
		k = string.upper(k)
		k = string.replace(k, "\n", '')
		f.write('\t"' + k + '" : None')
	f.write("\n\t}\n")
	f.close()
	return

if __name__ == "__main__":
	for fn in fileNames:
		readStopWords(directory + fn)
	writeStopWords(directory + "mergedStopWords.dat")
